Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.sql
Class DefaultJdbcConnectionPool

    java.lang.Object
      com.servingxml.components.sql.DefaultJdbcConnectionPool

All Implemented Interfaces:
  JdbcConnectionPool

    public class DefaultJdbcConnectionPool

extends java.lang.Object
implements JdbcConnectionPool

The `DefaultJdbcConnectionPool` implements a JDBC connection pool.

Constructor Summary
`DefaultJdbcConnectionPool(java.lang.String driver, java.lang.String databaseUrl, java.lang.String user, java.lang.String password, int minConnections, int maxConnections, java.lang.String testStatement, SqlCommand[] commands)`

Method Summary
`java.sql.Connection` | `getConnection()`
`void` | `releaseConnection(java.sql.Connection connection)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultJdbcConnectionPool

    public DefaultJdbcConnectionPool(java.lang.String driver,
                                     java.lang.String databaseUrl,
                                     java.lang.String user,
                                     java.lang.String password,
                                     int minConnections,
                                     int maxConnections,
                                     java.lang.String testStatement,
                                     SqlCommand[] commands)
                              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Method Detail

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Specified by:
    `getConnection` in interface `JdbcConnectionPool`
  Throws:
    `java.sql.SQLException`

### releaseConnection

    public void releaseConnection(java.sql.Connection connection)

  Specified by:
    `releaseConnection` in interface `JdbcConnectionPool`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD